import { Organization } from "@/types/organization";
import { User } from "@/types/user";
import { UserRound, UserRoundCheck } from "lucide-react";

export const dummyUsers: User[] = [
  {
    id: 1,
    email: "john@gmail.com",
    fullName: "John Doe",
    role: "ADMIN",
    created_at: new Date().toISOString(),
  },
  {
    id: 2,
    email: "linustorvalds@gmail.com",
    fullName: "Linus Torvalds",
    role: "USER",
    created_at: new Date().toISOString(),
  },
  {
    id: 3,
    email: "ryandahl@gmail.com",
    fullName: "Ryan Dahl",
    role: "ADMIN",
    created_at: new Date().toISOString(),
  },
];

export const userFilterLabels = [
  {
    value: "ADMIN",
    label: "ADMIN",
    icon: UserRoundCheck,
  },
  {
    value: "USER",
    label: "USER",
    icon: UserRound,
  },
];

export const dummyOrganizations: Organization[] = [
  {
    id: 1,
    name: "XYZ Tech Inc.",
    industry: "Technology",
    contactPerson: "John Smith",
    email: "john@gmail.com",
    phone: "+1234567890",
    created_at: new Date().toISOString(),
  },
  {
    id: 2,
    name: "ABC Solutions",
    industry: "Finance",
    contactPerson: "Sarah Johnson",
    email: "sarah@example.com",
    phone: "+1987654321",
    created_at: new Date().toISOString(),
  },
  {
    id: 3,
    name: "Acme Corporation",
    industry: "Manufacturing",
    contactPerson: "Michael Brown",
    email: "michael@example.com",
    phone: "+1122334455",
    created_at: new Date().toISOString(),
  },
];
